.page-default {
  padding-block: 2rem 4rem;
}

.page-default__article {
  width: 100%;
}

/* Hero with featured image */

.page-default__hero {
  position: relative;
  isolation: isolate;

  min-height: clamp(180px, 32vw, 500px);
  margin-bottom: 2rem;

  display: grid;
  place-items: center;

  overflow: hidden;
  border-radius: var(--border-radius);

  will-change: transform, opacity;
  transform-origin: center top;
}

/* .page-default__hero::after {
  content: '';
  position: absolute;
  inset: 0;

  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0.25),
    rgba(255, 255, 255, 0.55)
  );

  z-index: -1;
} */

.page-default__hero-image {
  position: absolute;
  inset: 0;
  z-index: -2;
  /* background-color: var(--bg-title); */

  /* Temporary debugging background */
  /* background-color: aqua; */
}

.page-default__hero-image img {
  width: 100%;
  height: 100%;

  display: block;
  object-fit: cover;
}

/* White transparent layer over image */

/* .page-default__hero::after {
  content: '';

  position: absolute;
  inset: 0;
  z-index: -1;
} */

/* Title over image */

.page-default__hero-content {
  position: relative;
  z-index: 2;

  /* position: absolute;

  top: 50%;
  right: 8%;
  left: 42%; */

  /* transform: translateY(-50%); */

  width: min(80vw, 360px);
  aspect-ratio: 1 / 1;
  padding: clamp(2rem, 4vw, 3rem);

  display: flex;
  align-items: center;
  justify-content: center;

  color: var(--color-white);
  background-color: var(--bg-title);
  border-radius: 50%;
  text-align: center;
}

.page-default__title {
  font-size: clamp(2rem, 3vw, 3.5rem);
  line-height: 1.05;
  text-wrap: balance;
}

/* Header without featured image */

.page-default__header {
  width: min(100%, 800px);
  margin-inline: auto;
  margin-bottom: 2rem;
  padding-inline: 1rem;
  /* background-color: var(--bg-title); */

  text-align: center;
}

/* Page content */

.page-default__content {
  width: min(100%, 1100px);
  margin-inline: auto;
  padding-inline: 1rem;
}

@media (min-width: 768px) {
  .page-default__hero {
    margin-bottom: 3rem;
  }

  .page-default__hero-content {
    padding: 3rem;
  }

  .page-default__content {
    padding-inline: 2rem;
  }
}
